/**
 *  Copyright © 2020-2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.client.info;


import java.io.File;
import javax.swing.filechooser.FileFilter;

/*****************************************************************************/
/*                                                                           */
/*                           Class WallpaperFilter                           */
/*                                                                           */
/*****************************************************************************/

public class WallpaperFilter extends FileFilter {
  static String fn;
  String ext;


  public WallpaperFilter (String extension) {
    ext = extension;
  }



  @Override
  public boolean accept (File file) {
    if (file.isDirectory ()) {
      return (true);
    }
    fn = file.getName ();
    if ((fn.toLowerCase()).endsWith (ext))  {
      return (true);
    }
    return (false);
  }



  //* MP3 (*.mp3)
  @Override
  public String getDescription ()  {
    if (ext.equals ("jpg")) {
      return ("JPG (*.jpg)");
    }
    else if (ext.equals ("png")) {
      return ("PNG (*.png)");
    }
    return (ext);
  }

}
